
From: "Feldman, Scott" <scott.feldman@intel.com>

Remove some incorrect __devinits


 25-akpm/drivers/net/e100/e100_config.c |    8 ++++----
 25-akpm/drivers/net/e100/e100_main.c   |    6 +++---
 25-akpm/drivers/net/e100/e100_phy.c    |   14 +++++++-------
 3 files changed, 14 insertions(+), 14 deletions(-)

diff -puN drivers/net/e100/e100_config.c~e100-oops-fix drivers/net/e100/e100_config.c
--- 25/drivers/net/e100/e100_config.c~e100-oops-fix	Mon Dec 22 15:16:59 2003
+++ 25-akpm/drivers/net/e100/e100_config.c	Mon Dec 22 15:16:59 2003
@@ -60,7 +60,7 @@ static const u8 def_config[] = {
  * All other init functions will only set values that are
  * different from the 82557 default.
  */
-void __devinit
+void
 e100_config_init_82557(struct e100_private *bdp)
 {
 	/* initialize config block */
@@ -104,7 +104,7 @@ e100_config_init_82557(struct e100_priva
 	e100_config_mulcast_enbl(bdp, false);
 }
 
-static void __devinit
+static void
 e100_config_init_82558(struct e100_private *bdp)
 {
 	/* MWI enable. This should be turned on only if the adapter is a 82558/9
@@ -136,7 +136,7 @@ e100_config_init_82558(struct e100_priva
 	e100_config_long_rx(bdp, true);
 }
 
-static void __devinit
+static void
 e100_config_init_82550(struct e100_private *bdp)
 {
 	/* The D102 chip allows for 32 config bytes.  This value is
@@ -160,7 +160,7 @@ e100_config_init_82550(struct e100_priva
 }
 
 /* Initialize the adapter's configure block */
-void __devinit
+void
 e100_config_init(struct e100_private *bdp)
 {
 	e100_config_init_82557(bdp);
diff -puN drivers/net/e100/e100_main.c~e100-oops-fix drivers/net/e100/e100_main.c
--- 25/drivers/net/e100/e100_main.c~e100-oops-fix	Mon Dec 22 15:16:59 2003
+++ 25-akpm/drivers/net/e100/e100_main.c	Mon Dec 22 15:16:59 2003
@@ -125,7 +125,7 @@ static void e100_non_tx_background(unsig
 static inline void e100_tx_skb_free(struct e100_private *bdp, tcb_t *tcb);
 /* Global Data structures and variables */
 char e100_copyright[] __devinitdata = "Copyright (c) 2003 Intel Corporation";
-char e100_driver_version[]="2.3.30-k1";
+char e100_driver_version[]="2.3.30-k2";
 const char *e100_full_driver_name = "Intel(R) PRO/100 Network Driver";
 char e100_short_driver_name[] = "e100";
 static int e100nics = 0;
@@ -1329,7 +1329,7 @@ e100_sw_init(struct e100_private *bdp)
 	return 1;
 }
 
-static void __devinit
+static void
 e100_tco_workaround(struct e100_private *bdp)
 {
 	int i;
@@ -2519,7 +2519,7 @@ e100_cmd_complete_location(struct e100_p
  *      true: if successfully cleared stat counters
  *      false: otherwise
  */
-static unsigned char __devinit
+static unsigned char
 e100_clr_cntrs(struct e100_private *bdp)
 {
 	volatile u32 *pcmd_complete;
diff -puN drivers/net/e100/e100_phy.c~e100-oops-fix drivers/net/e100/e100_phy.c
--- 25/drivers/net/e100/e100_phy.c~e100-oops-fix	Mon Dec 22 15:16:59 2003
+++ 25-akpm/drivers/net/e100/e100_phy.c	Mon Dec 22 15:16:59 2003
@@ -132,7 +132,7 @@ e100_mdi_read(struct e100_private *bdp, 
 	}
 }
 
-static unsigned char __devinit
+static unsigned char
 e100_phy_valid(struct e100_private *bdp, unsigned int phy_address)
 {
 	u16 ctrl_reg, stat_reg;
@@ -150,7 +150,7 @@ e100_phy_valid(struct e100_private *bdp,
 	return true;
 }
 
-static void __devinit
+static void
 e100_phy_address_detect(struct e100_private *bdp)
 {
 	unsigned int addr;
@@ -180,7 +180,7 @@ e100_phy_address_detect(struct e100_priv
 	}
 }
 
-static void __devinit
+static void
 e100_phy_id_detect(struct e100_private *bdp)
 {
 	u16 low_id_reg, high_id_reg;
@@ -204,7 +204,7 @@ e100_phy_id_detect(struct e100_private *
 		      ((unsigned int) high_id_reg << 16));
 }
 
-static void __devinit
+static void
 e100_phy_isolate(struct e100_private *bdp)
 {
 	unsigned int phy_address;
@@ -227,7 +227,7 @@ e100_phy_isolate(struct e100_private *bd
 	}
 }
 
-static unsigned char __devinit
+static unsigned char
 e100_phy_specific_setup(struct e100_private *bdp)
 {
 	u16 misc_reg;
@@ -380,7 +380,7 @@ e100_phy_fix_squelch(struct e100_private
  * Returns:
  *	NOTHING
  */
-static void __devinit
+static void
 e100_fix_polarity(struct e100_private *bdp)
 {
 	u16 status;
@@ -916,7 +916,7 @@ e100_phy_reset(struct e100_private *bdp)
 	schedule_timeout(HZ / 2);
 }
 
-unsigned char __devinit
+unsigned char
 e100_phy_init(struct e100_private *bdp)
 {
 	e100_phy_reset(bdp);

_
